package com.ashokit.collections.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ashokit.collections.dao.PersonDao;
import com.ashokit.collections.model.Person;

@Service
public class PersonService {
	
	@Autowired
	private PersonDao personDao;
	
	
	//SaveAll
	
	public Iterable<Person> saveAllPersons(Iterable<Person> personsList){
		return personDao.saveAll(personsList);
	}
	
	
	//FindAllById
	
	public Iterable<Person> findPersons(List<Integer> personIds){
		return personDao.findAllById(personIds);
	}

}
